#include <string.h>


/*@

  str_replace - replace a given string by another string in the incoming
                string and dump out the result to the user specified
                memory.  This is garbage in garbage out result.

  Unmodified Input variable :
. replaced_str - string found in the "in_str" and to be replaced
. replacing_str - string to replace the string "replaced_str"
. in_str - incoming string to be search for "replaced_str" and replaced

  Modified Output variable
. out_str - string specified by the user which has enough memory to hold
            the modified string
@*/


char *str_replace(
                   const char   *replaced_str,
                   const char   *replacing_str,
                   const char   *in_str,
                         char   *out_str
                 )
{
   char  *cptr_0, *cptr;
   int  lgth;

   strcpy( out_str, "" );
   cptr_0 = ( char* )in_str;
   while( ( cptr = strstr( cptr_0, replaced_str ) ) )
   {
      lgth = cptr - cptr_0;
      strncat( out_str, cptr_0, lgth );
      strcat( out_str, replacing_str );
      cptr_0 = ++cptr;
      /*  printf( "out_str[] = %s\n", out_str );  */
   }
   lgth = strlen( cptr_0 );
   strncat( out_str, cptr_0, lgth );
   /*  printf( "out_str[] = %s\n", out_str );  */

   return out_str;
}
